---
title: ServiceWorkerGlobalScope.onperiodicsync
slug: Web/API/ServiceWorkerGlobalScope/onperiodicsync
tags:
  - Background Sync
  - PWA
  - Periodic Background Synchronization API
  - Property
  - ServiceWorkerGlobalScope
---
<div>{{draft}}{{DefaultAPISidebar("Periodic Background Sync")}}</div>

<p class="summary">The <strong><code>onperiodicsync</code></strong> property of the {{domxref("ServiceWorkerGlobalScope")}} interface is an event handler fired at timed intervals, specified when registering a {{domxref('PeriodicSyncManager')}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js notranslate">ServiceWorkerGlobalScope.onperiodicsync = function(event) { ... };
</pre>

<h2 id="Examples">Examples</h2>

<p>The following example shows how to respond to a periodic sync event in the service worker.</p>

<pre class="brush: js notranslate">self.addEventListener('periodicsync', event =&gt; {
  if (event.tag == 'get-latest-news') {
    event.waitUntil(fetchAndCacheLatestNews());
  }
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Periodic Background Sync','#extensions-to-serviceworkerregistration','onperiodicsync')}}</td>
   <td>{{Spec2('Periodic Background Sync')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ServiceWorkerGlobalScope.periodicsync")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://web.dev/periodic-background-sync/">Richer offline experiences with the Periodic Background Sync API</a></li>
 <li><a href="https://webplatformapis.com/periodic_sync/periodicSync_improved.html">A Periodic Background Sync demo app</a></li>
</ul>
